#!/bin/bash

#Install rtl-sdr driver
cd
sudo apt remove rtl-sdr -y
sleep 2
rm rtl-sdr/ -rf
git clone https://github.com/osmocom/rtl-sdr 
#wget www.om3bc.com/docs/MS/rtl-sdr.tar.gz
tar -zxf rtl-sdr.tar.gz
rm rtl-sdr.tar.gz
cd rtl-sdr/ 
mkdir build
cd build
cmake ../ -DINSTALL_UDEV_RULES=ON -DDETACH_KERNEL_DRIVER=ON 
make
sudo make install
sudo ldconfig
cd
echo "Automatic reboot after 10 sec."
read -t 10 -n 1 -e -p "Reboot? [Yn]" yn
case $yn in
	[Yy]* ) echo "Rebooting"; sleep 3; sudo reboot;;
	[Nn]* ) echo "Exit"; sleep 3;;
	* ) echo "Rebooting"; sleep 3; sudo reboot;;
esac

exit 0
