#!/bin/bash
echo " Installing SondeFinder "
sleep 3
#sudo apt-get update -y
sudo apt-get install cmake build-essential python-pip libusb-1.0-0-dev python-numpy git pandoc -y
sleep 3
sudo apt-get remove rtl-sdr -y
sleep 3
sudo apt-get install git-core libusb-1.0-0-dev pkg-config cmake -y
sleep 3
git clone https://github.com/osmocom/rtl-sdr
sleep 3
cd rtl-sdr/
sleep 2
mkdir build
sleep 2
cd build
sleep 2
cmake ../ -DINSTALL_UDEV_RULES=ON -DDETACH_KERNEL_DRIVER=ON
sleep 2
make
sleep 2
sudo make install
sleep 2
sudo ldconfig
sleep 2
sudo apt-get install sox
sleep 2
sudo pip install pyrtlsdr
sleep 2
cd ~
mkdir SondeFinder
sleep 1
cd $HOME/SondeFinder
sleep 1
wget www.om3bc.com/docs/SF/sf64.tar.gz
tar -zxf sf64.tar.gz
rm sf64.tar.gz
cd Desktop
sleep 1
cp sondefinder.desktop /home/pi/Desktop
sleep 1
cd ..
echo " End of installing "
